Skip to main content
`Ctrl`+`K`

# ContinuationLinesInputter

class astropy.io.ascii.ContinuationLinesInputter

  Bases: `BaseInputter`

  Inputter where lines ending in `continuation_char` are joined with the subsequent line.

  Example:

      col1 col2 col3
      1       2 3
      4 5       6

  Attributes Summary

  `continuation_char` |
  `no_continue` |
  `replace_char` |

  Methods Summary

  `process_lines`(lines) | Process lines for subsequent use.

  Attributes Documentation

  continuation_char = '\\'
  no_continue = None
  replace_char = ' '

  Methods Documentation

  process_lines(lines)

    Process lines for subsequent use. In the default case do nothing. This routine is not generally intended for removing comment lines or stripping whitespace. These are done (if needed) in the header and data line processing.

    Override this method if something more has to be done to convert raw input lines to the table rows. For example the ContinuationLinesInputter derived class accounts for continuation characters if a row is split into lines.